Apply styles across multiple paragraphs
Status: New Start date: 2009-09-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When selecting a block of text within a textfield and then clicking on B for bold or I for italics (and probably other styles as well), it

doesn't work if multiple paragraphs are selected.  The markup characters (e.g. * and _) only show up at the very beginning and end

of selection, not around each paragraph within the selection.

If possible, the code should be able to detect carriage returns and place a markup character before and after each one (or none if

there is no text between carriage returns) to account for multiple paragraphs.

For example, the result of clicking on the bold style button with all of the text selected should be

*Hello*

*World*

 ...instead of...

*Hello

World*

Related issues:

Has duplicate Redmine - Feature #12588: Text Formatting should be able to be ... Closed

History

#1 - 2009-11-11 17:33 - Jean-Philippe Lang

- Subject changed from Styles are broken across paragraphs to Apply styles across multiple paragraphs

#2 - 2009-11-11 17:33 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2015-04-29 07:34 - Go MAEDA

- Has duplicate Feature #12588: Text Formatting should be able to be applied beyond a paragraph added
